Index: trunk/Include/objbase.sbp
===================================================================
--- trunk/Include/objbase.sbp	(revision 303)
+++ trunk/Include/objbase.sbp	(revision 497)
@@ -1,6 +1,3 @@
 ' objbase.sbp
-
-#ifndef _INC_OBJBASE
-#define _INC_OBJBASE
 
 TypeDef RPC_AUTH_IDENTITY_HANDLE = VoidPtr 'Declared in Rpcdce.sbp; include Rpc.sbp.
@@ -89,11 +86,10 @@
 Const CLSCTX_INPROC = CLSCTX_INPROC_SERVER or CLSCTX_INPROC_HANDLER
 '#if (_WIN32_WINNT >= &h0400) Or defined(_WIN32_DCOM)
-#ifdef _WIN32_DCOM
 Const CLSCTX_ALL    = CLSCTX_INPROC_SERVER or CLSCTX_INPROC_HANDLER or CLSCTX_LOCAL_SERVER or CLSCTX_REMOTE_SERVER
 Const CLSCTX_SERVER = CLSCTX_INPROC_SERVER or CLSCTX_LOCAL_SERVER or CLSCTX_REMOTE_SERVER
-#else
-Const CLSCTX_ALL    = CLSCTX_INPROC_SERVER or CLSCTX_INPROC_HANDLER or CLSCTX_LOCAL_SERVER
-Const CLSCTX_SERVER = CLSCTX_INPROC_SERVER or CLSCTX_LOCAL_SERVER
-#endif
+'#else
+'Const CLSCTX_ALL    = CLSCTX_INPROC_SERVER or CLSCTX_INPROC_HANDLER or CLSCTX_LOCAL_SERVER
+'Const CLSCTX_SERVER = CLSCTX_INPROC_SERVER or CLSCTX_LOCAL_SERVER
+'#endif
 
 Const Enum REGCLS
@@ -115,5 +111,4 @@
 
 '#if (_WIN32_WINNT >= &h0400) Or defined(_WIN32_DCOM)
-#ifdef _WIN32_DCOM
 Const Enum COINIT
 	COINIT_MULTITHREADED     = &h0
@@ -124,5 +119,5 @@
 Declare Function CoInitializeEx Lib "ole32" (pvReserved As VoidPtr, dwCoInit As DWord) As HRESULT
 Declare Function CoGetCallerTID Lib "ole32" (ByRef dwTID AS DWord) As HRESULT
-#endif
+'#endif
 
 #ifdef __UNDECLARED__
@@ -220,8 +215,8 @@
 
 '#if (_WIN32_WINNT >= &h0400) Or defined(_WIN32_DCOM) 'DCOM
-#ifdef _WIN32_DCOM
 
 /* Call Security. */
 
+/*SOLE_AUTHENTICATION_SERVICE未定義
 Declare Function CoInitializeSecurity Lib "ole32" (
 	ByVal pSecDesc As *SECURITY_DESCRIPTOR,
@@ -231,6 +226,7 @@
 	ByVal dwImpLevel As DWord,
 	ByVal pAuthList As VoidPtr,
-	ByVal dwCapabilities As DWord
+	ByVal dwCapabilities As DWord,
 	ByVal pReserved3 As VoidPtr) As HRESULT
+*/
 Declare Function CoGetCallContext Lib "ole32" (
 	ByRef riid As IID,
@@ -243,5 +239,5 @@
 	ByVal pAuthnLevel As *DWord,
 	ByVal pImpLevel As *DWord,
-	ByVal pAuthInfo As *RPC_AUTH_IDENTITY_HANDLE
+	ByVal pAuthInfo As *RPC_AUTH_IDENTITY_HANDLE,
 	ByVal pCapabilites As *DWord) As HRESULT
 Declare Function CoSetProxyBlanket Lib "ole32" (
@@ -263,5 +259,5 @@
 	ByVal pAuthnLevel As *DWord,
 	ByVal pImpLevel As *DWord,
-	ByVal pPrivs As *RPC_AUTHZ_HANDLE
+	ByVal pPrivs As *RPC_AUTHZ_HANDLE,
 	ByVal pCapabilities As *DWord) As HRESULT
 Declare Function CoImpersonateClient Lib "ole32" () As HRESULT
@@ -281,11 +277,9 @@
 Const COM_RIGHTS_ACTIVATE_LOCAL = 8
 Const COM_RIGHTS_ACTIVATE_REMOTE = 16
-
-#endif ' DCOM
+'#endif ' DCOM
 
 Declare Function CoCreateInstance Lib "ole32" (ByRef clsid As CLSID, pUnknown As *IUnknown, dwClsContext As DWord, ByRef refiid As IID, ByRef pObj As Any) As HRESULT
 
 '#if (_WIN32_WINNT >= &h0400) Or defined(_WIN32_DCOM) 'DCOM
-#ifdef _WIN32_DCOM
 Declare Function CoGetInstanceFromFile Lib "ole32" (
 	ByVal pServerInfo As *COSERVERINFO,
@@ -294,5 +288,5 @@
 	ByVal dwClsCtx As DWord,
 	ByVal grfMode As DWord,
-	ByVal pwszName As *OLECHAR
+	ByVal pwszName As *OLECHAR,
 	ByVal dwCount As DWord,
 	ByVal pResults As *MULTI_QI) As HRESULT
@@ -304,5 +298,5 @@
 	ByVal dwClsCtx As DWord,
 	ByVal grfMode As DWord,
-	ByVal pstg As *IStorage
+	ByVal pstg As *IStorage,
 	ByVal dwCount As DWord,
 	ByVal pResults As *MULTI_QI) As HRESULT
@@ -312,13 +306,11 @@
 	ByVal punkOuter As *IUnknown,
 	ByVal dwClsCtx As DWord,
-	ByVal pServerInfo As COSERVERINFO,
+	ByVal pServerInfo As *COSERVERINFO,
 	ByVal dwCount As DWord,
 	ByVal pResults As *MULTI_QI) As HRESULT
-#endif ' DCOM
+'#endif ' DCOM
 
 /* Call related APIs */
 '#if (_WIN32_WINNT >= &h0400) Or defined(_WIN32_DCOM) 'DCOM
-#ifdef _WIN32_DCOM
-
 Declare Function CoGetCancelObject Lib "ole32" (dwThreadId As DWord, ByRef iid As IID, ByRef pUnk As Any) As HRESULT
 Declare Function CoSetCancelObject Lib "ole32" (pUnk As *IUnknown) As HRESULT
@@ -329,6 +321,5 @@
 Declare Function CoAllowSetForegroundWindow Lib "ole32" (pUnk As *IUnknown, pvReserved As VoidPtr) As HRESULT
 Declare Function DcomChannelSetHResult Lib "ole32" (pvReserved As HRESULT, pulReserved As DWord, appsHR As HRESULT) As HRESULT
-
-#endif
+'#endif
 
 /* other helpers */
@@ -353,10 +344,9 @@
 
 '#if (_WIN32_WINNT >= &h0400) Or defined(_WIN32_DCOM) 'DCOM
-#ifdef _WIN32_DCOM
-Declare Function CoRegisterChannelHook Lib "ole32" (ByRef ExtensionUuid As GUID, pChannelHook As *IChannelHook) As HRESULT
-#endif ' DCOM
+'IChannelHook未定義
+'Declare Function CoRegisterChannelHook Lib "ole32" (ByRef ExtensionUuid As GUID, pChannelHook As *IChannelHook) As HRESULT
+'#endif ' DCOM
 
 '#if (_WIN32_WINNT >= &h0400) Or defined(_WIN32_DCOM) 'DCOM
-#ifdef _WIN32_DCOM
 
 Declare Function CoWaitForMultipleHandles Lib "ole32" (
@@ -375,5 +365,5 @@
 End Enum
 
-#endif ' DCOM
+'#endif ' DCOM
 
 /* for flushing OLESCM remote binding handles */
@@ -551,5 +541,2 @@
 	ByVal pIbscCaller As *IBindStatusCallback,
 	ByRef pIbsc As *IBindStatusCallback) As HRESULT
-
-
-#endif '_INC_OBJBASE
